All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::is_any_dense_structured_matrix< T > Struct Template Reference

Helper class for checking whether the provided type is any of the dense structured matrix types (circulant, Hankel, etc.) More...

`#include <forwards.h>`

## Public Types

enum | { value = viennacl::is_circulant_matrix<T>::value || viennacl::is_hankel_matrix<T>::value || viennacl::is_toeplitz_matrix<T>::value || viennacl::is_vandermonde_matrix<T>::value }

## Detailed Description

### template<typename T>
struct viennacl::is_any_dense_structured_matrix< T >

Helper class for checking whether the provided type is any of the dense structured matrix types (circulant, Hankel, etc.)

Definition at line 563 of file forwards.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator
value |

Definition at line 565 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h